This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 506110 - PackageKit requires network connection while using hard drive repos only
PackageKit requires network connection while using hard drive repos only
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 11:51 EDT by Kurian John
Modified: 2009-11-17 08:00 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.4.8-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-17 08:00:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My fedora-local repo file (210 bytes, application/octet-stream)
2009-08-20 07:07 EDT, Hedayat Vatankhah
no flags Details

  None (edit)
Description Kurian John 2009-06-15 11:51:43 EDT
Description of problem:
PackageKit does not allow installation of packages from local disk if a network connection is not present

How reproducible:
Always

Steps to Reproduce:
1. Add a yum local repository
2. Disable all other repos
3. Open Add/Remove Software and select a package from the local repo for installation
  
Actual results:
PackageKit displays an error "No network connection available" and installation does not proceed

Expected results:
PackageKit should allow installation of packages from local repos even in the absence of a network connection
Comment 1 Richard Hughes 2009-06-15 12:27:15 EDT
commit 64997e86e36e1c6964289eec657d1595c92cd534
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jun 15 17:26:03 2009 +0100

    yum: don't hardcode network access to install or update packages. Fixes rh#506110
Comment 2 Fedora Update System 2009-07-06 06:45:23 EDT
PackageKit-0.4.8-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/PackageKit-0.4.8-2.fc11
Comment 3 Fedora Update System 2009-07-16 03:29:54 EDT
PackageKit-0.4.8-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Hedayat Vatankhah 2009-08-20 06:01:16 EDT
It still requires network connection (though a bit differently). When there is no network connection, I get this error:
Errors were encountered while downloading packages.
b43-fwcutter-011-4.fc11.x86_64: Caching enabled but no local cache of /var/cache/yum/fedora-local/packages/b43-fwcutter-011-4.fc11.x86_64.rpm from fedora-local

(It should not expect the package to be downloaded to cache for local files).
Comment 5 Richard Hughes 2009-08-20 06:06:35 EDT
(In reply to comment #4)
> (It should not expect the package to be downloaded to cache for local files).  

Can you post the repo file for fedora-local please.
Comment 6 Hedayat Vatankhah 2009-08-20 07:07:20 EDT
Created attachment 358066 [details]
My fedora-local repo file
Comment 7 Richard Hughes 2009-08-20 07:25:16 EDT
What's the output of:

cd /opt
find * | grep b43-fwcutter

Thanks.
Comment 8 Hedayat Vatankhah 2009-08-20 07:28:31 EDT
(It's a regular Fedora DVD x86_64 iso mounted there)
This is the output:

[root@localhost opt]# find * | grep b43-fwcutter
Packages/b43-fwcutter-011-4.fc11.x86_64.rpm
[root@localhost opt]#
Comment 9 Hedayat Vatankhah 2009-08-20 07:32:37 EDT
Also notice that I can install this package from this repository when there is a network connection available!

Thanks
Comment 10 Richard Hughes 2009-11-17 08:00:11 EST
Is fixed for me in F12.

Note You need to log in before you can comment on or make changes to this bug.